document.addEventListener('contextmenu', event => event.preventDefault());

var background = chrome.extension.getBackgroundPage();
var streamer = background.streamer;

var notifInput = document.querySelector("#notifications");
var youtubeAlert = document.querySelector("#youtube");
var volumeInput = 0.3;
var dragChecker = false;

if (streamer.youtubeId != null) {
	$('#youtube-option').css("display", "block");
}

$("[data-slider]").bind("slider:ready slider:changed", function (event, data) {
	volumeInput = data.value.toFixed(2);
});

notifInput.checked = parseInt(localStorage.notifications);
youtubeAlert.checked = parseInt(localStorage.youtube);
$("[data-slider]").attr("value", localStorage.volume);

$(document).mouseup(
	function () {
		setTimeout(function() {
			localStorage.notifications = notifInput.checked ? 1 : 0;
			localStorage.youtube = youtubeAlert.checked ? 1 : 0;
			localStorage.volume = volumeInput;
		}, 5);
	}
);

$(document).prop('title', $('.title').text());

var currentYear = (new Date).getFullYear();

if (currentYear != "2018") {
	$("#year").text(" - " + currentYear);
}
